From 1d30d6ee0486b8e37329682c333a45366f1cdf37 Mon Sep 17 00:00:00 2001
From: Neil Jerram <neiljerram@googlemail.com>
Date: Tue, 29 Dec 2009 23:24:12 +0000
Subject: [PATCH 1/2] Prepare place to add code for processing a desktop reference

---
 auxlaunch |   17 ++++++++++++-----
 1 files changed, 12 insertions(+), 5 deletions(-)

diff --git a/auxlaunch b/auxlaunch
index 80ac74b..01cda73 100755
--- a/auxlaunch
+++ b/auxlaunch
@@ -439,14 +439,21 @@ class ModelManager:
 			elif field[0][0].upper() == '-':	# Window title filter record
 				self.winDiscard.append(field[0][1:])
 			else:							# Item record
+			    	if field[0][0].upper() == '+': # .desktop ref
+					deskname = field[0][1:]
+			    	else:
+					label = field[0]
+					command = field[1]
+					iconname = field[2]
+
 				image = gtk.Image()
-				if field[2].rstrip() == '':
+				if iconname.rstrip() == '':
 					image.set_from_stock('gtk-execute', gtk.ICON_SIZE_DIALOG)
-				elif field[2][:4] == 'gtk-':
-					image.set_from_stock(field[2], gtk.ICON_SIZE_DIALOG)
+				elif iconname[:4] == 'gtk-':
+					image.set_from_stock(iconname, gtk.ICON_SIZE_DIALOG)
 				else:
-					image.set_from_file(field[2])
-				app = AppItem(image,field[0],field[1])
+					image.set_from_file(iconname)
+				app = AppItem(image,label,command)
 				curApps.append(app)
 		# Flush last holding value		
 		if not (curGroup == INITGROUP and len(curApps) == 0):
-- 
1.6.5.7
